Bug 253953 (poppler-21.03.0) - [exp-run] Upgrade graphics/poppler to 21.03.0
Summary: [exp-run] Upgrade graphics/poppler to 21.03.0
Status: Closed FIXED
Alias: poppler-21.03.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-02 11:47 UTC by Tobias C. Berner
Modified: 2021-03-08 19:34 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (1.08 KB, patch)
2021-03-02 11:47 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-03-02 11:47:57 UTC
Created attachment 222916 [details]
v1

Moin moin 

desktop@ would like to ask for an exp-run of the upgrade of poppler to 21.03.

The patch is attached, and can also be found here:

https://people.freebsd.org/~tcberner/patches/poppler-21.03.0.v1.diff


mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2021-03-06 08:23:30 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2021-03-08 19:33:59 UTC
A commit references this bug:

Author: tcberner
Date: Mon Mar  8 19:33:11 UTC 2021
New revision: 567866
URL: https://svnweb.freebsd.org/changeset/ports/567866

Log:
  graphics/poppler: update to 21.03.0

  Release 21.03.0:
          core:
           * Fix parsing text in some broken pdf files. Issue #1040
           * Fix memory issue when using threads. Issue #1050
           * TextSelectionDumper: Fix getText() for space after word
           * Change signature of OutputDev:tilingPatternFill
           * Make PDFDocBuilder return a std::unique_ptr
           * Improve well formed check for shading functions
           * Fix leak in case of fread failing
           * Fix memory leak in broken file in JBIG2Stream::readGenericBitmap
           * PSOutputDev: Fix stack overflow in broken files

          glib:
           * poppler_annot_free_text_get_callout_line: Fix wrong static cast
           * poppler-structure-element: fix memleak
           * Improve documentation
           * demo: keep same visual appearance between displayed and copied text

          utils:
           * pdftotext: Add -cropbox option
           * pdftoppm: Add -progress option
           * pdftoppm: Fix rounding bug in computation of output bitmap size. Issue #927

          qt6:
           * Add missing poppler-qt6.pc.cmake

  PR:		253953
  Exp-run by:	antoine

Changes:
  head/converters/pdf2djvu/Makefile
  head/databases/kbibtex/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/cfiles/Makefile
  head/deskutils/lumina-pdf/Makefile
  head/deskutils/recoll/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/devel/efl/Makefile
  head/devel/kf5-kfilemetadata/Makefile
  head/editors/calligra/Makefile
  head/editors/kile/Makefile
  head/editors/libreoffice/Makefile
  head/editors/libreoffice6/Makefile
  head/editors/setzer/Makefile
  head/editors/texstudio/Makefile
  head/editors/texworks/Makefile
  head/graphics/atril/Makefile
  head/graphics/diff-pdf/Makefile
  head/graphics/diffpdf/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/engauge-digitizer/Makefile
  head/graphics/epdfview/Makefile
  head/graphics/evince/Makefile
  head/graphics/gdal/Makefile
  head/graphics/geeqie/Makefile
  head/graphics/gegl/Makefile
  head/graphics/gimp-app/Makefile
  head/graphics/graphviz/Makefile
  head/graphics/impressive/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/katarakt/Makefile
  head/graphics/krita/Makefile
  head/graphics/okular/Makefile
  head/graphics/openfx-arena/Makefile
  head/graphics/osg/Makefile
  head/graphics/osg34/Makefile
  head/graphics/pdf2svg/Makefile
  head/graphics/pdfpc/Makefile
  head/graphics/poppler/Makefile
  head/graphics/poppler/distinfo
  head/graphics/pqiv/Makefile
  head/graphics/qcomicbook/Makefile
  head/graphics/sane-backends/Makefile
  head/graphics/tikzit/Makefile
  head/graphics/vips/Makefile
  head/graphics/xournal/Makefile
  head/graphics/xournalpp/Makefile
  head/graphics/yacreader/Makefile
  head/mail/claws-mail-pdf_viewer/Makefile
  head/mail/textmail/Makefile
  head/math/cantor/Makefile
  head/math/labplot/Makefile
  head/misc/tellico/Makefile
  head/net/kitinerary/Makefile
  head/print/cups-filters/Makefile
  head/print/deforaos-pdfviewer/Makefile
  head/print/ghostscript9-agpl-base/Makefile
  head/print/pdf-tools/Makefile
  head/print/qpdfview/Makefile
  head/print/scribus-devel/Makefile
  head/print/texlive-base/Makefile
  head/print/xreader/Makefile
  head/sysutils/tracker-miners/Makefile
  head/textproc/pdfgrep/Makefile
  head/textproc/pdfsandwich/Makefile
  head/textproc/py-pdftotext/Makefile
  head/www/hotcrp/Makefile
  head/x11/eaglemode/Makefile
Comment 3 Tobias C. Berner freebsd_committer 2021-03-08 19:34:25 UTC
Committed. Thanks for the exp-run.